LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
lives_decoder_sys_t Struct Reference

`#include <plugins.h>`

## Data Fields
char * | name
| plugin name More...
void * | handle
| may be shared between several instances More...
const char *(* | version )(void)
lives_clip_data_t *(* | get_clip_data )(char *URI, const lives_clip_data_t *cdata)
boolean(* | get_frame )(const lives_clip_data_t *, int64_t frame, int *rowstrides, int height, void **pixel_data)
| frame starts at 0 in these functions; height is height of primary plane More...
void(* | clip_data_free )(lives_clip_data_t *)
| call this for each cdata before unloading the module More...
const char *(* | module_check_init )(void)
boolean(* | set_palette )(lives_clip_data_t *)
int64_t(* | rip_audio )(const lives_clip_data_t *, const char *fname, int64_t stframe, int64_t nframes, unsigned char **abuff)
void(* | rip_audio_cleanup )(const lives_clip_data_t *cdata)
void(* | module_unload )(void)

## Field Documentation

void(* lives_decoder_sys_t::clip_data_free)(lives_clip_data_t *)

call this for each cdata before unloading the module

lives_clip_data_t*(* lives_decoder_sys_t::get_clip_data)(char *URI, const lives_clip_data_t *cdata)

call first time with NULL cdata subsequent calls should re-use cdata set cdata->current_clip > 0 to get data for clip n (0 <= n < cdata->nclips) we can also set cdata->current_palette (must be in list cdata->palettes[])

if URI changes, current_clip and current_palette are reset by plugin

to get a clone of cdata, pass in NULL URI and cdata

boolean(* lives_decoder_sys_t::get_frame)(const lives_clip_data_t *, int64_t frame, int *rowstrides, int height, void **pixel_data)

frame starts at 0 in these functions; height is height of primary plane

void* lives_decoder_sys_t::handle

may be shared between several instances

const char*(* lives_decoder_sys_t::module_check_init)(void)

void(* lives_decoder_sys_t::module_unload)(void)

char* lives_decoder_sys_t::name

plugin name

int64_t(* lives_decoder_sys_t::rip_audio)(const lives_clip_data_t *, const char *fname, int64_t stframe, int64_t nframes, unsigned char **abuff)

void(* lives_decoder_sys_t::rip_audio_cleanup)(const lives_clip_data_t *cdata)

boolean(* lives_decoder_sys_t::set_palette)(lives_clip_data_t *)

const char*(* lives_decoder_sys_t::version)(void)

The documentation for this struct was generated from the following file:

- src/plugins.h